%global namedreltag .SP1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-negotiation
Version:          2.2.0
Release:          %mkrel 7%{namedreltag}.4
Summary:          JBoss Negotiation
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/picketlink/Negotiation

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-negotiation/tags/security-negotiation-2.2.0.SP1/ jboss-negotiation-2.2.0.SP1
# tar cafJ jboss-negotiation-2.2.0.SP1.tar.xz jboss-negotiation-2.2.0.SP1
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    picketbox
BuildRequires:    picketbox-commons
BuildRequires:    jboss-logging
BuildRequires:    jboss-web
BuildRequires:    jboss-servlet-3.0-api

Requires:         jboss-logging
Requires:         jboss-servlet-3.0-api
Requires:         jboss-web
Requires:         picketbox-commons
Requires:         jpackage-utils
Requires:         java

%description
Negotiation project provides SPNEGO/Kerberos support in JBoss

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for m in common extras net ntlm spnego; do
  # JAR
  install -pm 644 jboss-negotiation-${m}/target/jboss-negotiation-${m}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-${m}.jar
  # POM
  install -pm 644 jboss-negotiation-${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-${m}.pom
  # DEPMAP
  %add_maven_depmap JPP.%{name}-%{name}-${m}.pom %{name}/%{name}-${m}.jar
done

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-main.pom
install -pm 644 parent/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom

# DEPMAP
%add_maven_depmap JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-main.pom

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 2.2.0-7.SP1.4.mga4
+ Revision: 565287
- Rebuild against fixed maven-eclipse-plugin

* Sun Dec 22 2013 dmorgan <dmorgan> 2.2.0-7.SP1.3.mga4
+ Revision: 559824
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 2.2.0-7.SP1.1.mga3
+ Revision: 399105
- imported package jboss-negotiation

